# Notification

**All the endpoints that can be called on the Notification controller.**

All the endpoints require the `SETTINGS_CRUD` permission.

## index

> \*\*Returns all notifications for this user found by UID and marks them all as read.\*\*

```json
{"openapi":"3.0.0","info":{"title":"Omnidesk API documentation","version":"1.0.0"},"tags":[{"name":"Notification","description":"**All the endpoints that can be called on the Notification controller.**\n\nAll the endpoints require the `SETTINGS_CRUD` permission."}],"servers":[{"url":"http://{{base_url}}"}],"security":[{"apikeyAuth":[]}],"components":{"securitySchemes":{"apikeyAuth":{"type":"http","scheme":"apikey"}}},"paths":{"/api/v2/notification":{"get":{"tags":["Notification"],"summary":"index","description":"**Returns all notifications for this user found by UID and marks them all as read.**","responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}}}}
```

## item

> \*\*Returns this specific notification by its ID.\*\*

```json
{"openapi":"3.0.0","info":{"title":"Omnidesk API documentation","version":"1.0.0"},"tags":[{"name":"Notification","description":"**All the endpoints that can be called on the Notification controller.**\n\nAll the endpoints require the `SETTINGS_CRUD` permission."}],"servers":[{"url":"http://{{base_url}}"}],"security":[{"apikeyAuth":[]}],"components":{"securitySchemes":{"apikeyAuth":{"type":"http","scheme":"apikey"}}},"paths":{"/api/v2/notification/{id}":{"get":{"tags":["Notification"],"summary":"item","description":"**Returns this specific notification by its ID.**","parameters":[{"name":"id","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}}}}
```

## setIsRead

> \*\*Marks this notification as read.\*\*

```json
{"openapi":"3.0.0","info":{"title":"Omnidesk API documentation","version":"1.0.0"},"tags":[{"name":"Notification","description":"**All the endpoints that can be called on the Notification controller.**\n\nAll the endpoints require the `SETTINGS_CRUD` permission."}],"servers":[{"url":"http://{{base_url}}"}],"security":[{"apikeyAuth":[]}],"components":{"securitySchemes":{"apikeyAuth":{"type":"http","scheme":"apikey"}}},"paths":{"/api/v2/notification/setIsRead":{"put":{"tags":["Notification"],"summary":"setIsRead","description":"**Marks this notification as read.**","requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"properties":{"id":{"type":"string"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omnidesk.io/omnidesk/api-specification/notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
